<template>
  <div class="lvjing-warp">
    <div class="buttun-warp">
      <div
        class="buttun-item"
        :class="item.active ? 'active' : ''"
        v-for="(item, index) in navList"
        :key="index"
        @click="changeSate(index)"
      >
        {{ item.font }}
      </div>
    </div>
    <div class="leftBall">
      <img
        src="../../assets/images/airConditioner/leftBall.webp"
        alt=""
        srcset=""
        v-if="showBlue"
      />
      <img
        src="../../assets/images/airConditioner/leftBall1.webp"
        alt=""
        srcset=""
        v-else
      />
    </div>
    <div class="bottomBall">
      <img
        src="../../assets/images/airConditioner/bottomBall.webp"
        alt=""
        srcset=""
        v-if="showBlue"
      />
      <img
        src="../../assets/images/airConditioner/bottomBall1.webp"
        alt=""
        srcset=""
        v-else
      />
    </div>
  </div>
</template>
<script>
export default {
  name: "Lvjing",
  data() {
    return {
      showBlue: false,
      navList: [
        { font: "PM2.5检测", active: true },
        { font: "快速净化", active: false },
        { font: "负离子", active: true },
      ],
    };
  },
  methods: {
    changeSate(index) {
      if (this.navList[2].active) {
        if (index == 2) {
          this.navList[2].active = !this.navList[2].active;
        }
        if (index == 1) {
          this.navList[1].active = !this.navList[1].active;
          this.navList[0].active = this.navList[1].active;
        }
        if (index == 0) {
          this.navList[0].active = !this.navList[0].active;
        }
      } else {
        if (index == 2) {
          this.navList[2].active = !this.navList[2].active;
        } else if (this.navList[1].active || this.navList[0].active) {
          this.navList[1].active = false;
          this.navList[0].active = false;
          this.navList[2].active = true;
        }
      }
    },
  },
  watch: {
    navList: {
      handler: function (val) {
        if (val[2].active && val[1].active == false && val[0].active == false) {
          this.showBlue = true;
        } else {
          this.showBlue = false;
        }
      },
      deep: true,
    },
  },
};
</script>
<style scoped lang="scss">
.lvjing-warp {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  justify-content: center;
}
.buttun-warp {
  width: 1072px;
  height: 75px;
  margin-top: 67px;
  display: flex;
  justify-content: space-between;
  .buttun-item {
    width: 290px;
    height: 75px;
    line-height: 75px;
    text-align: center;
    font-size: 30px;
    background: #ffffff;
    border-radius: 38px;
    color: #000000;
  }
  .active {
    background: linear-gradient(270deg, #60b7db 1%, #479af1 99%);
    color: #ffffff;
  }
}
.leftBall {
  width: 190px;
  height: 190px;
  position: absolute;
  top: 234px;
  left: 87px;
  img {
    height: 100%;
    width: 100%;
  }
}
.bottomBall {
  width: 190px;
  height: 190px;
  top: 460px;
  left: 590px;
  position: absolute;
  img {
    height: 100%;
    width: 100%;
  }
}
</style>
